Documentation · API reference
DELETE
/api/v1/sites/{site}/snapshotsRemove the copies of a page
This page as Markdown, or in an AI chatMore ways to read this page
Remove the copies of a page.
# Remove the copies of a page
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/delete-sites-site-snapshots
`DELETE /api/v1/sites/{site}/snapshots`
Remove the copies of a page.
## Parameters
- `site` (in path, needed): A site's id or name
- `path` (in query, needed): The page's path
## The answer
204
## Asking
```sh
curl -X DELETE "https://tidekeeper.eu/api/v1/sites/example.org/snapshots?path=…" \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN"
```
Parameters
- sitein the address
- neededA site's id or name
- pathin the query
- neededThe page's path
The answer
Status 204
Asking
curl -X DELETE "https://tidekeeper.eu/api/v1/sites/example.org/snapshots?path=…" \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/snapshots?path=…", { method: "DELETE", headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, }, }).then((r) => r.json());